"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b2e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b380>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b420>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b4c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b560>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b600>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b6a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b740>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b7e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b880>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b920>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11b9c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11ba60>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11bb00>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11bba0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11bc40>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11bce0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11bd80>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11be20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11bec0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f11bf60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174040>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1740e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174180>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174220>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1742c0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174360>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174400>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1744a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174540>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1745e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174680>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174720>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1747c0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174860>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174900>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1749a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174a40>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174ae0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174b80>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174c20>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174cc0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174d60>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174e00>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174ea0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174f40>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f174fe0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175080>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175120>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1751c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175260>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175300>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1753a0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175440>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1754e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175580>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175620>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1756c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175760>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175800>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1758a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175940>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1759e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175a80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175b20>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175bc0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175c60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175d00>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175da0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175e40>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175ee0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f175f80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f176020>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1760c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f176160>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f176200>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1762a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f176340>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1763e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f176480>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1765c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f176520>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f176660>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f176700>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff9f1767a0>)]
name: str = 'fr_HOCCN'
